Update to 17.0

Bug #1080211 reported by Chris Coulson on 2012-11-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
ubufox (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Micah Gersten (micahg) wrote :

    ubufox | 2.6-0ubuntu1 | raring | source

Changed in ubufox (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 2.6-0ubuntu0.10.04.1

---------------
ubufox (2.6-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release
    - see LP: #1080211 for USN information
    - Make the startpage work again in Firefox 17
    - Fix a crash that occurs when the apt cache is broken
    - Fix a whole bunch of memory leaks in the plugin installer
    - Don't poll for file changes, but use inotify instead to determine
      when we need to display a restart notification
 -- Chris Coulson <email address hidden> Fri, 12 Oct 2012 15:00:54 +0100

Changed in ubufox (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 2.6-0ubuntu0.12.10.1

---------------
ubufox (2.6-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream release v2.6
    - see LP: #1080211 for USN information
    - Translation updates, thanks to Adolfo Jayme Barrientos and David Planella
 -- Chris Coulson <email address hidden> Mon, 12 Nov 2012 13:30:08 +0000

Changed in ubufox (Ubuntu Quantal):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 17.0+build2-0ubuntu0.10.04.1

---------------
firefox (17.0+build2-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_17_0_BUILD2)
    - see LP: #1080211 for USN information

  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in
  * Install the web app support
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series.in
    - add debian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_firefox.py.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/add-syspref-dir.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk
 -- Chris Coulson <email address hidden> Mon, 19 Nov 2012 21:05:45 -0600

Changed in firefox (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 17.0+build2-0ubuntu0.12.10.1

---------------
firefox (17.0+build2-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_17_0_BUILD2)
    - see LP: #1080211 for USN information

  * Update globalmenu-extension to 3.6.4
    - Fix a build ordering issue causing the install.rdf to be missed
      from the addon xpi
    - Fix crash in uGlobalMenu::InitializePopup
    - Fix issue with stale entries being left in the Recently Closed
      Tabs / Windows menus
    - Make logging work correctly on debug builds
    - Handle submenu's being reopened without getting a close event
      in between. We don't seem to get a close event when a menuitem
      is activated
  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in
  * Install the web app support
    - update debian/firefox-globalmenu.links.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series.in
    - add debian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_firefox.py.in
  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Drop obsolete patches
    - remove debian/patches/add-nativehandle-attribute.patch
    - update debian/patches/series
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk
 -- Chris Coulson <email address hidden> Mon, 19 Nov 2012 22:11:22 -0600

Changed in firefox (Ubuntu Quantal):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 17.0+build2-0ubuntu0.11.10.1

---------------
firefox (17.0+build2-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_17_0_BUILD2)
    - see LP: #1080211 for USN information

  * Update globalmenu-extension to 3.6.4
    - Fix a build ordering issue causing the install.rdf to be missed
      from the addon xpi
    - Fix issue with stale entries being left in the Recently Closed
      Tabs / Windows menus
    - Make logging work correctly on debug builds
    - Handle submenu's being reopened without getting a close event
      in between. We don't seem to get a close event when a menuitem
      is activated
  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in
  * Install the web app support
    - update debian/firefox-globalmenu.links.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series.in
    - add debian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_firefox.py.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk
 -- Chris Coulson <email address hidden> Mon, 19 Nov 2012 21:12:25 -0600

Changed in firefox (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 2.6-0ubuntu0.11.10.1

---------------
ubufox (2.6-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release v2.6.
    - see LP: #1080211 for USN information
    - Make the startpage work again in Firefox 17
    - Fix a crash that occurs when the apt cache is broken
    - Fix a whole bunch of memory leaks in the plugin installer
    - Don't poll for file changes, but use inotify instead to determine
      when we need to display a restart notification
 -- Chris Coulson <email address hidden> Mon, 12 Nov 2012 13:34:07 +0000

Changed in ubufox (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 17.0+build2-0ubuntu0.12.04.1

---------------
firefox (17.0+build2-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (FIREFOX_17_0_BUILD2)
    - see LP: #1080211 for USN information

  * Update globalmenu-extension to 3.6.4
    - Fix a build ordering issue causing the install.rdf to be missed
      from the addon xpi
    - Fix crash in uGlobalMenu::InitializePopup
    - Fix issue with stale entries being left in the Recently Closed
      Tabs / Windows menus
    - Make logging work correctly on debug builds
    - Handle submenu's being reopened without getting a close event
      in between. We don't seem to get a close event when a menuitem
      is activated
  * Build with --disable-webrtc on all architectures except for i386 and amd64
    - update debian/config/mozconfig.in
  * Install the web app support
    - update debian/firefox-globalmenu.links.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series.in
    - add debian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
  * Fix quoting issues when parsing preferences
    - update debian/apport/source_firefox.py.in
  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-globalmenu-build-support.patch
    - update debian/patches/fix-for-bmo795395.patch
  * Don't ship empty ".mkdir.done" files in our packages. This should probably
    be fixed in the upstream build system, but we'll do a temporary band-aid
    fix in the packaging for now just so we can get some builds
    - update debian/build/mozbuild.mk
 -- Chris Coulson <email address hidden> Mon, 19 Nov 2012 22:00:54 -0600

Changed in firefox (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 2.6-0ubuntu0.12.04.1

---------------
ubufox (2.6-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream release v2.6.
    - see LP: #1080211 for USN information
    - Make the startpage work again in Firefox 17
    - Fix a crash that occurs when the apt cache is broken
    - Fix a whole bunch of memory leaks in the plugin installer
    - Don't poll for file changes, but use inotify instead to determine
      when we need to display a restart notification
 -- Chris Coulson <email address hidden> Mon, 12 Nov 2012 13:32:03 +0000

Changed in ubufox (Ubuntu Precise):
status: New → Fix Released
Micah Gersten (micahg) on 2012-11-21
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
Micah Gersten (micahg) wrote :

Raring jumped straight to 18 beta .

Changed in firefox (Ubuntu):
status: Confirmed → Invalid
william (wrodri169) wrote :

updating not working tells me check internet while im on line. what should i do ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers